commit:     094e9ff0f6145433341db8e61303b61ed4ced919
Author:     Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
AuthorDate: Sat Apr 25 07:57:00 2020 +0000
Commit:     Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
CommitDate: Sat Apr 25 07:57:00 2020 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=094e9ff0

media-libs/libavif: fixes for super bad package

Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Alessandro Barbieri <lssndrbarbieri <AT> gmail.com>

 media-libs/libavif/libavif-0.6.4.ebuild | 47 ++++++++++++++++++---------------
 1 file changed, 26 insertions(+), 21 deletions(-)

diff --git a/media-libs/libavif/libavif-0.6.4.ebuild 
b/media-libs/libavif/libavif-0.6.4.ebuild
index 9abaef9..009206a 100644
--- a/media-libs/libavif/libavif-0.6.4.ebuild
+++ b/media-libs/libavif/libavif-0.6.4.ebuild
@@ -12,23 +12,26 @@ 
SRC_URI="https://github.com/AOMediaCodec/libavif/archive/v${PV}.tar.gz -> ${P}.t
 LICENSE="BSD-2"
 SLOT="0"
 KEYWORDS="~amd64"
-IUSE="dav1d +libaom rav1e"
+#IUSE="dav1d +libaom rav1e"
+IUSE="dav1d"
 
-REQUIRED_USE="|| ( dav1d libaom )"
+#REQUIRED_USE="|| ( dav1d libaom )"
 
-DEPEND="dav1d? ( media-libs/dav1d )
-       libaom? ( >=media-libs/libaom-1.1 )
-       rav1e? ( media-video/rav1e[capi] )
+#unavailable
+#      libaom? ( >=media-libs/libaom-1.1 )
+#      rav1e? ( media-video/rav1e[capi] )
+DEPEND="
+       dav1d? ( media-libs/dav1d )
        media-libs/libpng
 "
 RDEPEND="${DEPEND}"
 BDEPEND=""
 
 src_configure() {
+#              -DAVIF_CODEC_AOM=$(usex libaom ON OFF)
+#              -DAVIF_CODEC_RAV1E=$(usex rav1e ON OFF)
        local mycmakeargs=(
                -DAVIF_CODEC_DAV1D=$(usex dav1d ON OFF)
-               -DAVIF_CODEC_AOM=$(usex libaom ON OFF)
-               -DAVIF_CODEC_RAV1E=$(usex rav1e ON OFF)
                -DBUILD_SHARED_LIBS=ON
                -DAVIF_BUILD_APPS=ON
        )
@@ -36,21 +39,23 @@ src_configure() {
 }
 
 pkg_postinst() {
-       if ! use libaom && ! use rav1e ; then
+#      if ! use libaom && ! use rav1e ; then
                ewarn "libaom and rav1e flags are not set,"
                ewarn "libavif will work in read-only mode."
                ewarn "Enable libaom or rav1e flag if you want to save .AVIF 
files."
-       fi
-
-       if use libaom ; then
-               elog "When you upgrade libaom in the future,"
-               elog " you may need to re-emerge libavif again"
-               elog " to ensure correct AVIF import/export functions."
-       fi
-
-       if use rav1e ; then
-               elog "When you upgrade rav1e in the future,"
-               elog " you may need to re-emerge libavif again"
-               elog " to ensure correct AVIF export function."
-       fi
+#      fi
+
+#instead of writing this below, use the := dependency
+
+#      if use libaom ; then
+#              elog "When you upgrade libaom in the future,"
+#              elog " you may need to re-emerge libavif again"
+#              elog " to ensure correct AVIF import/export functions."
+#      fi
+
+#      if use rav1e ; then
+#              elog "When you upgrade rav1e in the future,"
+#              elog " you may need to re-emerge libavif again"
+#              elog " to ensure correct AVIF export function."
+#      fi
 }

Reply via email to